import { StubGenerator, ObjectType } from './interfaces';
export declare class Stub {
    private readonly parser;
    private readonly generator;
    constructor(generator?: StubGenerator);
    createOne<T extends object>(entity: ObjectType<T>): T;
    createMany<T extends object>(entity: ObjectType<T>, count?: number): T[];
}
