"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getParentClass = void 0;
const type_guards_1 = require("../type-guards");
function getParentClass(entity) {
    const parent = Object.getPrototypeOf(entity);
    if ((0, type_guards_1.isConstructor)(parent) && !(0, type_guards_1.isEmptyObject)(parent)) {
        return parent;
    }
    return null;
}
exports.getParentClass = getParentClass;
//# sourceMappingURL=get-parent-class.js.map