import { MetadataArgsStorage } from 'typeorm/metadata-args/MetadataArgsStorage';
import { Singleton } from './singleton';
import { Generator } from './generator';
import { ObjectType } from './interfaces';
export declare class Parser extends Singleton {
    private readonly generator;
    constructor(generator: Generator);
    parseMetadata<T extends object>(stub: T, entity: ObjectType<T>, metadataStorage: MetadataArgsStorage, addedRelations: string[]): void;
    private parseColumns;
    private parseRelations;
    private createRelation;
    private parseDeepRelations;
    private isJoinColumnTarget;
    private findJoinColumn;
    private getRelationConstructor;
    private getDesignType;
    private parseJson;
    private parseNested;
    private getValueByDesignType;
    private getValueByType;
}
