import { ObjectType } from './interfaces';
export declare abstract class Singleton {
    protected static instance: Singleton;
    static getInstance<T extends Singleton, P = unknown>(this: ObjectType<T, P>, ...args: P[]): T;
}
