"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Singleton = void 0;
class Singleton {
    static getInstance(...args) {
        if (!Reflect.has(this, 'instance')) {
            Reflect.set(this, 'instance', new this(...args));
        }
        return Reflect.get(this, 'instance');
    }
}
exports.Singleton = Singleton;
//# sourceMappingURL=singleton.js.map