"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isConstructor = void 0;
function isConstructor(val) {
    if (typeof val !== 'function') {
        return false;
    }
    try {
        Reflect.construct(val, []);
    }
    catch (err) {
        return false;
    }
    return true;
}
exports.isConstructor = isConstructor;
//# sourceMappingURL=is-constructor.js.map