"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEmptyObject = void 0;
const is_object_1 = require("./is-object");
const is_function_1 = require("./is-function");
function isEmptyObject(val) {
    if (!(0, is_object_1.isObject)(val) || !(0, is_function_1.isFunction)(val))
        return false;
    return Object.keys(val).length === 0;
}
exports.isEmptyObject = isEmptyObject;
//# sourceMappingURL=is-empty-object.js.map